GNU bug report logs - #6259
24.0.50; `uniquify.el' advises `create-file-buffer'

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: "Drew Adams" <drew.adams@HIDDEN>; Keywords: confirmed; merged with #1338; dated Mon, 24 May 2010 17:04:03 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 1338 6259. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 6259 <at> debbugs.gnu.org:


Received: (at 6259) by debbugs.gnu.org; 1 May 2016 17:53:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 01 13:53:13 2016
Received: from localhost ([127.0.0.1]:60940 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1awvYM-0005sk-1S
	for submit <at> debbugs.gnu.org; Sun, 01 May 2016 13:53:13 -0400
Received: from hermes.netfonds.no ([80.91.224.195]:40162)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1awvYH-0005sZ-75
 for 6259 <at> debbugs.gnu.org; Sun, 01 May 2016 13:53:08 -0400
Received: from cm-84.215.1.64.getinternet.no ([84.215.1.64] helo=mouse)
 by hermes.netfonds.no with esmtpsa (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.84_2) (envelope-from <larsi@HIDDEN>)
 id 1awvYC-0000oy-IO; Sun, 01 May 2016 19:53:04 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: "Drew Adams" <drew.adams@HIDDEN>
Subject: Re: bug#6259: 24.0.50; `uniquify.el' advises `create-file-buffer'
References: <ABE67992A78B4A9DB0E496E19C82B6BC@HIDDEN>
 <87ob2fhctp.fsf@HIDDEN>
Date: Sun, 01 May 2016 19:53:00 +0200
In-Reply-To: <87ob2fhctp.fsf@HIDDEN> (Lars Ingebrigtsen's message
 of "Sun, 09 Feb 2014 19:21:54 -0800")
Message-ID: <87y47tzmv7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 6259
Cc: 6259 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> And since uniquify is the default now, it should probably be fixed:
>
> --------
>
> create-file-buffer is a compiled Lisp function in `files.el'.
>
> (create-file-buffer ARG1)
>
> :around advice: `uniquify--create-file-buffer-advice'
>
> --------

And amusingly enough, there's this comment in the file:

;; The below solution works because generate-new-buffer-name is called
;; only by rename-buffer (which, as of 19.29, is never called from C) and
;; generate-new-buffer, which is called only by Lisp functions
;; create-file-buffer and rename-uniquely. 

This isn't...  er...  very true any more.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#6259; Package emacs. Full text available.
Added tag(s) confirmed. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 6259 <at> debbugs.gnu.org:


Received: (at 6259) by debbugs.gnu.org; 10 Feb 2014 03:23:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 09 22:23:27 2014
Received: from localhost ([127.0.0.1]:33144 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WChSw-0005B7-Bx
	for submit <at> debbugs.gnu.org; Sun, 09 Feb 2014 22:23:26 -0500
Received: from hermes.netfonds.no ([80.91.224.195]:51470)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <larsi@HIDDEN>) id 1WChSu-0005Ay-8P
 for 6259 <at> debbugs.gnu.org; Sun, 09 Feb 2014 22:23:24 -0500
Received: from [204.14.154.233] (helo=building.gnus.org)
 by hermes.netfonds.no with esmtpsa (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.72) (envelope-from <larsi@HIDDEN>)
 id 1WChSd-00052A-HL; Mon, 10 Feb 2014 04:23:07 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: "Drew Adams" <drew.adams@HIDDEN>
Subject: Re: bug#6259: 24.0.50; `uniquify.el' advises `create-file-buffer'
References: <ABE67992A78B4A9DB0E496E19C82B6BC@HIDDEN>
Date: Sun, 09 Feb 2014 19:21:54 -0800
In-Reply-To: <ABE67992A78B4A9DB0E496E19C82B6BC@HIDDEN> (Drew Adams's
 message of "Mon, 24 May 2010 10:03:04 -0700")
Message-ID: <87ob2fhctp.fsf@HIDDEN>
User-Agent: Gnus/5.13001 (Ma Gnus v0.10) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1WChSd-00052A-HL
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1392607388.28244@wYIACghsUcMjhd+2SEBVVQ
X-Spam-Status: No
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 6259
Cc: 6259 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

"Drew Adams" <drew.adams@HIDDEN> writes:

> 1. I thought that distributed Emacs code was not supposed to use
> `defadvice'.  `uniquify.el' uses it.
>
> 2. That advice makes the doc for `create-file-buffer' incorrect:
>
> emacs -Q
>
> C-h f create-file-buffer RET
>
> There is nothing about the function being advised.

And since uniquify is the default now, it should probably be fixed:

--------

create-file-buffer is a compiled Lisp function in `files.el'.

(create-file-buffer ARG1)

:around advice: `uniquify--create-file-buffer-advice'

--------


-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#6259; Package emacs. Full text available.

Message received at 6259-quiet <at> debbugs.gnu.org:


Received: (at 6259-quiet) by debbugs.gnu.org; 24 May 2010 18:35:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 24 14:35:35 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OGcUw-0003dD-SJ
	for submit <at> debbugs.gnu.org; Mon, 24 May 2010 14:35:35 -0400
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rgm@HIDDEN>) id 1OGcUw-0003d8-6g
	for 6259-quiet <at> debbugs.gnu.org; Mon, 24 May 2010 14:35:34 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.69)
	(envelope-from <rgm@HIDDEN>)
	id 1OGcUr-000838-Ts; Mon, 24 May 2010 14:35:29 -0400
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Message-ID: <19450.50929.882134.545061@HIDDEN>
Date: Mon, 24 May 2010 14:35:29 -0400
From: Glenn Morris <rgm@HIDDEN>
To: 6259-quiet <at> debbugs.gnu.org
Subject: Re: bug#6259: 24.0.50; `uniquify.el' advises `create-file-buffer'
In-Reply-To: <ABE67992A78B4A9DB0E496E19C82B6BC@HIDDEN>
References: <ABE67992A78B4A9DB0E496E19C82B6BC@HIDDEN>
X-Attribution: GM
X-Mailer: VM (www.wonderworks.com/vm), GNU Emacs (www.gnu.org/software/emacs)
X-Hue: blue
X-Ran: -_[mh3mv!4D,h@qY7y(/7'tTjckK;E],9fn19+7$G1WgF~-w1fU%0{mGfH41=];n5LMX`#
X-Spam-Score: -6.1 (------)
X-Debbugs-Envelope-To: 6259-quiet
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.1 (------)


Item 1 is a duplicate of bug#1338.
2 and 3 seem minor issues.




Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 May 2010 17:03:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 24 13:03:35 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OGb3u-0002wO-Sb
	for submit <at> debbugs.gnu.org; Mon, 24 May 2010 13:03:35 -0400
Received: from mx10.gnu.org ([199.232.76.166])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <drew.adams@HIDDEN>) id 1OGb3r-0002wI-OZ
	for submit <at> debbugs.gnu.org; Mon, 24 May 2010 13:03:32 -0400
Received: from lists.gnu.org ([199.232.76.165]:33063)
	by monty-python.gnu.org with esmtps
	(TLS-1.0:DHE_RSA_AES_256_CBC_SHA1:32) (Exim 4.60)
	(envelope-from <drew.adams@HIDDEN>) id 1OGb3n-0002NJ-2P
	for submit <at> debbugs.gnu.org; Mon, 24 May 2010 13:03:27 -0400
Received: from [140.186.70.92] (port=54749 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1OGb3f-0004pS-L9
	for bug-gnu-emacs@HIDDEN; Mon, 24 May 2010 13:03:26 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-4.2 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_MED,
	T_RP_MATCHES_RCVD, UNPARSEABLE_RELAY autolearn=unavailable version=3.3.1
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.69)
	(envelope-from <drew.adams@HIDDEN>) id 1OGb3Y-0007Om-KW
	for bug-gnu-emacs@HIDDEN; Mon, 24 May 2010 13:03:19 -0400
Received: from rcsinet10.oracle.com ([148.87.113.121]:42006)
	by eggs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <drew.adams@HIDDEN>) id 1OGb3Y-0007OY-BU
	for bug-gnu-emacs@HIDDEN; Mon, 24 May 2010 13:03:12 -0400
Received: from acsinet15.oracle.com (acsinet15.oracle.com [141.146.126.227])
	by rcsinet10.oracle.com (Switch-3.4.2/Switch-3.4.1) with ESMTP id
	o4OH38Qa001535
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK)
	for <bug-gnu-emacs@HIDDEN>; Mon, 24 May 2010 17:03:09 GMT
Received: from acsmt355.oracle.com (acsmt355.oracle.com [141.146.40.155])
	by acsinet15.oracle.com (Switch-3.4.2/Switch-3.4.1) with ESMTP id
	o4OFc0dK009406
	for <bug-gnu-emacs@HIDDEN>; Mon, 24 May 2010 17:03:07 GMT
Received: from abhmt004.oracle.com by acsmt353.oracle.com
	with ESMTP id 293569471274720586; Mon, 24 May 2010 10:03:06 -0700
Received: from dradamslap1 (/130.35.178.194)
	by default (Oracle Beehive Gateway v4.0)
	with ESMTP ; Mon, 24 May 2010 10:03:06 -0700
From: "Drew Adams" <drew.adams@HIDDEN>
To: <bug-gnu-emacs@HIDDEN>
Subject: 24.0.50; `uniquify.el' advises `create-file-buffer'
Date: Mon, 24 May 2010 10:03:04 -0700
Message-ID: <ABE67992A78B4A9DB0E496E19C82B6BC@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 11
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.5931
Thread-Index: Acr7YvmM49X4LnhXQRCZ8GdQLJ6k+w==
X-Auth-Type: Internal IP
X-Source-IP: acsinet15.oracle.com [141.146.126.227]
X-CT-RefId: str=0001.0A090201.4BFAB14E.0109:SCFMA922111,ss=1,fgs=0
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6,
	seldom 2.4 (older, 4)
X-Spam-Score: -6.1 (------)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.1 (------)

1. I thought that distributed Emacs code was not supposed to use
`defadvice'.  `uniquify.el' uses it.
 
2. That advice makes the doc for `create-file-buffer' incorrect:
 
emacs -Q
 
C-h f create-file-buffer RET
 
There is nothing about the function being advised.
 
Now turn on `Use Directory Names in Buffer Names' from the `Options'
menu.
 
C-h f create-file-buffer RET
 
You now see this added to the doc string:
 
 This function is advised.
 
 After-advice `create-file-buffer-uniquify':
 Uniquify buffer names with parts of directory name.
 
Now turn using directory names back off again, using the same menu item.
 
C-h f create-file-buffer RET
 
still says the same thing.  It _seems_ to be saying (and it will be read
this way) that buffer names are currently being uniquified with parts of
buffer names - which is incorrect.
 
3. Besides all that, "uniquify" is not a word (OK, in English anyone can
invent a word, but it is not a well-known term).  So any such doc should
be rephrased to say what actually happens to the buffer name.
 

In GNU Emacs 24.0.50.1 (i386-mingw-nt5.1.2600)
 of 2010-05-23 on G41R2F1
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4) --no-opt --cflags -Ic:/xpm/include'
 





Acknowledgement sent to "Drew Adams" <drew.adams@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6259; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 28 Jun 2016 03:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.